ホーム > フォーラム > liaiseモジュール php5対応

liaiseモジュール php5対応
投稿者: kimura0118 | 投稿日時: 2012/12/18 23:42 | 閲覧: 9794回
kimura0118

こんにちは、
xupdateよりliaise1.31をインストールして使ってみたのですが
下記のようなエラーが出ます。php5.3には対応していないということなのでしょうか?


Warning [PHP]: include_once(/home/test/www/modules/captcha/include/lang.php): failed to open stream: No such file or directory in file modules/liaise/xoops_version.php line 191
Warning [PHP]: include_once(): Failed opening '/home/test/www/modules/captcha/include/lang.php' for inclusion (include_path='.:/usr/local/php/5.3.18/lib/php') in file modules/liaise/xoops_version.php line 191

コメント(7)

Re: liaiseモジュール php5対応 
投稿者: naao | 投稿日時: 2012/12/19 0:05
naao
引用:
下記のようなエラーが出ます。php5.3には対応していないということなのでしょうか?


php5.3云々、、というのは、エラーのどこにも書いてませんね。

引用:
Warning [PHP]: include_once(/home/test/www/modules/captcha/include/lang.php): failed to open stream: No such file or directory in file modules/liaise/xoops_version.php line 191


このエラーを良く読めば、おのずと答えがわかると思いますよ。 1行目の /modules/ の次に何て書いてありますか? それがインストールされていないだけでは?

まずは自分でエラーの中身を解釈してみることをやってみないと、時間ばっかりかかっちゃいますよ。

あと、X-update便利だしどんどん使っていただければと思うのですが、そうは言っても作者さんのサイトに書いてある説明は読まないと、できることもできなくなってしまいます。
#21181 | | 返信する |
Re: liaiseモジュール php5対応 
投稿者: kimura0118 | 投稿日時: 2012/12/19 9:59 | 親コメント: #21181
kimura0118

ごめんなさい、貼り付けたエラー間違えてました。
正しくはこっちです。

Notice [PHP]: Undefined variable: xoopsConfig in file modules/liaise/language/ja_utf8/main.php line 8
Notice [PHP]: Only variable references should be returned by reference in file kernel/object.php line 391

Only variable references should be returned by reference in
となってたのでphp5対応してないのかな?と思ったのです。
Re: liaiseモジュール php5対応 
投稿者: naao | 投稿日時: 2012/12/19 10:13 | 親コメント: #21182
naao

kimura0118 さん

引用:
ごめんなさい、貼り付けたエラー間違えてました。
正しくはこっちです。

Notice [PHP]: Undefined variable: xoopsConfig in file modules/liaise/language/ja_utf8/main.php line 8
Notice [PHP]: Only variable references should be returned by reference in file kernel/object.php line 391

Only variable references should be returned by reference in
となってたのでphp5対応してないのかな?と思ったのです。


いや、ですから、作者さんのサイト見ていただければ、phpの対応いくつまでと書いてありますって。  それとも、何か不都合な現象が起こっているのですか? 起きているのならその現象を報告しないと始まりません。

それから、上記わたしがコメントしたエラー内容のほうも、確かにエラーとして出ているんですよね? それについて私がコメントしたことについて、何らかのアクションは起こさなくて大丈夫ですか?


なお、XoopsXレポジトリ以外のモジュールについては、各作者さんが対応する必要があります。 HappyLinuxさんは こちらやXUGJなどはあまりご覧にならないような気がしますので、バグや不具合報告はご面倒ですがそちらへ直接ご報告いただいたほうが良いかもです。
Re: liaiseモジュール php5対応 
投稿者: marine | 投稿日時: 2012/12/19 13:20 | 親コメント: #21182
marine

WarningとNoticeを張り間違えるってのも、なんだかなぁ~って思いますよ・・・(^_^;)


引用:
ごめんなさい、貼り付けたエラー間違えてました。
正しくはこっちです。

Notice [PHP]: Undefined variable: xoopsConfig in file modules/liaise/language/ja_utf8/main.php line 8
Notice [PHP]: Only variable references should be returned by reference in file kernel/object.php line 391

Only variable references should be returned by reference in
となってたのでphp5対応してないのかな?と思ったのです。


エラーって書かれていますけど、Noticeなのでエラーではないですね。
ただのお知らせじゃないですか?

Noticeだったら、PHPデバッグから「なし」にすれば済むだけのことです。
Re: liaiseモジュール php5対応 
投稿者: marine | 投稿日時: 2012/12/19 13:26 | 親コメント: #21182
marine

X-updateの管理画面、モジュールの「TRUST or モジュール名 」欄に出てくる liaise をクリックすると、作者様の当該モジュール掲載ページが表示されます。

そこを見ると、次の記述があり、1.30以降ならPHP5.3対応となっていることが一目瞭然ですね。

引用:

v1.30
1. XCL 2.2 対応
$moduleperm_handler がGlobal変数ではない

2. PHP 5.3 対応
(1) new の返り値を参照で代入することは、推奨されない

3. MySQL 5.5 対応
(1) TYPE=MyISAM -> ENGINE=MyISAM
Re: liaiseモジュール php5対応 
投稿者: marine | 投稿日時: 2012/12/19 13:28 | 親コメント: #21182
marine

ちなみに、xoops Liaise 1.31 でgoogle検索すると、作者様の当該モジュール掲載ページ
 http://linux.ohwada.jp/modules/wfdownloads/singlefile.php?lid=74
がトップでヒットしますよ~(^_^;)
Re: liaiseモジュール php5対応 
投稿者: marine | 投稿日時: 2012/12/19 13:34
marine

私は英語が苦手なので、次の文章をgoogle翻訳のページで翻訳してみました。

引用:
Warning [PHP]: include_once(/home/test/www/modules/captcha/include/lang.php): failed to open stream: No such file or directory in file modules/liaise/xoops_version.php line 191


引用:
警告[PHP]:は、include_onceは(が/ home / test/ www /のモジュール/ CAPTCHA/ / lang.phpを含む):ストリームをオープンに失敗しました:ファイル·モジュール/連携する/ xoops_version.phpの191行でそのようなファイルやディレクトリはありません



引用:
Warning [PHP]: include_once(): Failed opening '/home/test/www/modules/captcha/include/lang.php' for inclusion (include_path='.:/usr/local/php/5.3.18/lib/php') in file modules/liaise/xoops_version.php line 191


引用:
警告[PHP]:include_once()を:失敗しましたオープニング "が/ home / test/ www /のモジュール/ CAPTCHA/インクルード/ lang.php'含める(のinclude_path=':/ usr/local/php/5.3.18/lib/ファイル·モジュール/連携する/ xoops_version.phpの191行のphp')



これを見ると、どうやら対象とするファイルやディレクトリがないので、読み込むのに失敗したというような内容に思えます。

kimura0118 さんは、ここに出ているファイルとかディレクトリの存在確認はされましたでしょうか?

    投票(0)

    新しいものから | 古いものから | RSS feed
     
    To Top